/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/base.glsl"), digest: "4bcea274fefe2b2b"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush.glsl"), digest: "12edf41e0beb0458"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_blend.glsl"), digest: "946efe95ed7a4cae"});
    shaders.insert("brush_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_conic_gradient.glsl"), digest: "92c1c037ddd2dfee"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_image.glsl"), digest: "d05c26704a48bfb9"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "2d7688bbfec1578e"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "110efae54ffab99f"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "6af8f688aaeb26f2"});
    shaders.insert("brush_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_radial_gradient.glsl"), digest: "995fb1b0cbf4840d"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_solid.glsl"), digest: "521f77fe6ba7d934"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "eb151fdb04ad1c29"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/clip_shared.glsl"), digest: "29fc258fa53aee66"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/composite.glsl"), digest: "e7c9ba36d2da87c1"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_blur.glsl"), digest: "8dd4cc0a6e61f462"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "19868fb45efb30ed"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "3b6d01c0a42b5984"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "5acd9dbc03c7e3b0"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "39e6801c4b967cf4"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "da151f6dc1e9099e"});
    shaders.insert("cs_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_gradient.glsl"), digest: "9a871a1a3ceec786"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "6843fe88c059961a"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_scale.glsl"), digest: "aefa64bf263fec4c"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "3e4670a90bf3066"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/debug_color.glsl"), digest: "2e9c9fd4e21df18d"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/debug_font.glsl"), digest: "b6ead66043d16884"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/ellipse.glsl"), digest: "1883f224293b6515"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "a2bac6d1bcff1991"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "69c17f4589a95dd7"});
    shaders.insert("gradient_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/gradient_shared.glsl"), digest: "6fb40ddc03766b58"});
    shaders.insert("pf_vector_cover", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/pf_vector_cover.glsl"), digest: "d34cf3cc8a4db257"});
    shaders.insert("pf_vector_stencil", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/pf_vector_stencil.glsl"), digest: "ca173acafdbbb1b3"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/prim_shared.glsl"), digest: "196533ad2357514c"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/ps_clear.glsl"), digest: "6a762252b8bd4a51"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "23dbf57b43147603"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "24498af0c360c9cb"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/rect.glsl"), digest: "12587862dff428cd"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/render_task.glsl"), digest: "962a4083be1b63d0"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/shared.glsl"), digest: "a705950b96974f7b"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/transform.glsl"), digest: "721534917e53e721"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-87.0/gfx/wr/webrender/res/yuv.glsl"), digest: "bff009e73c421b5d"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_blend_Gl.frag"),
        digest: "6eb36123fd15b0a8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "2483a291fbcaf3d8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "d74c0acdbf165e1a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_conic_gradient_Gl.frag"),
        digest: "5f41626a6c6fc9d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_conic_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_conic_gradient_ALPHA_PASS_Gl.frag"),
        digest: "7b1fb01ac859a78e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "9c9a7ec488d11fe3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "dc6f8f50e8963a77",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "9b62176f80d52c39",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "8a6c54ef9af73d8a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "28ee279d270db938",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "9a30308639ce5865",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "de9387a6e420155",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "61efb47729920416",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "dc5410067a91c18d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "17ee46607b0efc78",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "959b58fc29a0eec0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "3d0c7cdd96b776c7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "ad9f08c4fab915cc",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "66e0623f80d4ae85",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "6ec8d09796486ecf",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "71e3d181ca08352c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "343bc8ee1bc892ef",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "114468b77a24c0ad",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "832004417795c4f7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "f53b088fcce3965b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "ba11f07d9209e05e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "de7f865c57bdb259",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "6be83ff5beb6729f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "378d03ce67c83879",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "1e24ccd9ea98ba7d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "e5fd2d045fd05bb7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "57bde3dd7cd8df6f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "75e2ae83904eb450",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "45ad881289f37c39",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "538bd423742b5503",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "7924c1e33defa01d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_linear_gradient_Gl.frag"),
        digest: "dfe61803133e0834",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "fcbe247b1efc714f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "77601ad4d6b7c07e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_mix_blend_Gl.frag"),
        digest: "90b7a5e5d0606604",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "f82b808c190048fb",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "a1c530878e9e3c53",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_Gl.frag"),
        digest: "dd8ade96a89f6ba8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "d2c4c030ff60d206",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.frag"),
        digest: "b6e964a9a9b7e053",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ANTIALIASING_Gl.frag"),
        digest: "441fe3216865bc4c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "26bfce378d00011f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "384dcabc0d70f582",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_radial_gradient_Gl.frag"),
        digest: "a4b2824a06f55ec5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_radial_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_radial_gradient_ALPHA_PASS_Gl.frag"),
        digest: "1db3e3b4d793831f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "b8df922167cfa8e6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_solid_Gl.frag"),
        digest: "3c4bfe57cd24cbcb",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "fe5e602b970714b2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "8d3d34175fa0755a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "b1d02c0d135e50f5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "12064eacecd7eed3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "5ffc6301f017ae75",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "a297390898b4b89f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "a0fb402c504fa4b6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "5368218061ffdf5b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "a06eb125002febe",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "2eaa977fd66095ca",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "7494f35170c54752",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "735e8fd876514e64",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "1100b60cb0ac8f8d",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "5e57a543e2e1b2a0",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "2edf5c036abb0c0f",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "9ec7eb5a4538cf9a",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "a02cd664396d056a",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "36a6ce2c1f5e848",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "a5311ea3ac8de099",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_border_segment_Gl.frag"),
        digest: "ba5887be98840bb8",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_border_solid_Gl.frag"),
        digest: "f2e98082d291c2df",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_box_shadow_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_box_shadow_TEXTURE_2D_Gl.frag"),
        digest: "4c8477834faf8fab",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_image_TEXTURE_2D_Gl.frag"),
        digest: "544259c85ab4c10",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_rectangle_Gl.frag"),
        digest: "2bacb8685741e60f",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "ef6361a61d3512d6",
    });
    shaders.insert((ShaderVersion::Gl, "cs_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_gradient_Gl.frag"),
        digest: "7713c41d03e3256c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_line_decoration_Gl.frag"),
        digest: "b727ce6ac2c3c231",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_scale_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_scale_TEXTURE_2D_Gl.frag"),
        digest: "2f7aebe1a84b5e",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_scale_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_scale_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "5acdf1c550af6029",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_scale_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_scale_TEXTURE_RECT_Gl.frag"),
        digest: "b46155c6c14927d1",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/cs_svg_filter_Gl.frag"),
        digest: "a6ca3521a7dc9410",
    });
    shaders.insert((ShaderVersion::Gl, "debug_color"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/debug_color_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/debug_color_Gl.frag"),
        digest: "f458fe7ea40bd77e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_font"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/debug_font_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/debug_font_Gl.frag"),
        digest: "503ec56c19b6bd2c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_clear_Gl.frag"),
        digest: "e696a5e94c11171b",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_split_composite_Gl.frag"),
        digest: "116f0b31bdbf865c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "a3af3fd346d38786",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "e0555ba252d80169",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "e51751c8750fb1f6",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "9d8e6adae53b56c6",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "62ee9f15776b3f8a",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-87.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-fb936348acb9038a/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "e6946762f2ea7712",
    });
    shaders
  };
}
